none
Adding a Domain Controller to outdated Forest RRS feed

  • Question

  • I currently have a Domain Controller Running on the Windows 2003 Operating System and Forest Functional Level 2003.  I also Have a Microsoft Exchange 2007 Server and Windows 7 clients as part of that same AD Domain.  My goal is to add a Domain Controller with the latest OS to the current Active Directory.

    My question is, what is the highest Operating System and Functional Level I can run on an added Domain Controller without having to upgrade the Exchange Server 2007 and temporarily keep the current Windows 2003 Domain Controllers?  Once we have tested this new Domain Controller works properly, we intend to demote the Windows 2003 Domain Controllers.

    Steps to accomplishing this would be greatly appreciated.

    Tuesday, September 17, 2019 7:52 PM

All replies

  • Hi

    You wont be able to go to Windows Server 2019 as you have legacy domain controllers. You also have Exchange 2007 and it won't support the newer versions either. Look at the matrix for what domain controllers you can introduce with your version of exchange.


    Hope this helps. Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread.

    Wednesday, September 18, 2019 5:27 PM